Bug 32386 - apacheconf upgrade from 0.63 to 0.7 fails - newer package already intsalled.
apacheconf upgrade from 0.63 to 0.7 fails - newer package already intsalled.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: apacheconf (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-20 08:43 EST by David Sainty
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-20 15:38:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Sainty 2001-03-20 08:43:46 EST
apacheconf went from v0.63 (back) to v0.7 in the latest rawhide.

This causes RPM to fail (U)pgrading.

[root@localhost new3]# rpm -qip apacheconf-0.7-2.noarch.rpm
Name        : apacheconf                   Relocations: (not relocateable)
Version     : 0.7                               Vendor: Red Hat, Inc.
Release     : 2                             Build Date: Fri 09 Mar 2001 15:39:1
 GMT
Install date: (not installed)               Build Host: porky.devel.redhat.com
Group       : Applications/System           Source RPM: apacheconf-0.7-2.src.rp
Size        : 809796                           License: GPL
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.redhat.com/
Summary     : Apache configuration tool
Description :
A RHN configuration tool for apache.

[root@localhost new3]# rpm -qi apacheconf
Name        : apacheconf                   Relocations: (not relocateable)
Version     : 0.63                              Vendor: Red Hat, Inc.
Release     : 2                             Build Date: Wed 14 Feb 2001 16:51:3
 GMT
Install date: Thu 22 Feb 2001 16:02:18 GMT      Build Host: porky.devel.redhat.
om
Group       : Applications/System           Source RPM: apacheconf-0.63-2.src.r
m
Size        : 459442                           License: GPL
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.redhat.com/
Summary     : Apache configuration tool
Description :
A RHN configuration tool for apache.

[root@localhost new3]# rpm -Uvh apache*rpm mod* openssl*
Preparing...                ########################################### [100%]
package apacheconf-0.63-2 (which is newer than apacheconf-0.7-2) is already
installed

^^^^^^^^^

An Epoch tag wrong or missing??
Comment 1 Crutcher Dunnavant 2001-03-20 15:38:30 EST
refileing, this is an apacheconf bug.
Comment 2 Phil Knirsch 2001-03-21 12:06:13 EST
Fixed in CVS (added a Epoch tag), but no Must Fix as we don't support updates
from Fisher -> Wolverine -> Florence.

Note You need to log in before you can comment on or make changes to this bug.